///////////////////////- BEAMES -\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\


textures/lights/light_xlight_2500
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}



textures/yave_ns/rayo3
{
        qer_editorimage textures/yave_ns/rayo3.tga
	q3map_lightimage textures/yave_ns/rayo3.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 100
	// added a lightimage function to take color from a frame

	{
		animMap 10 textures/yave_ns/rayo4.tga textures/yave_ns/rayo1.tga textures/yave_ns/rayo3.tga textures/yave_ns/rayo2.tga textures/yave_ns/rayo4.tga textures/yave_ns/rayo4.tga              
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
}
    
textures/ocho/beam_verde
{
	qer_editorimage textures/ocho/beam_verde.tga
	q3map_lightimage textures/ocho/fogverde.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/ocho/beam_verde.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}
textures/yave_ns/beam_azul
{
	qer_editorimage textures/yave_ns/beam_azul.tga
	q3map_lightimage textures/yave_ns/fogazul.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/beam_azul.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}
textures/yave_ns/beam_rojo
{
	qer_editorimage textures/yave_ns/beam_rojo.tga
	q3map_lightimage textures/yave_ns/fogred.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/beam_rojo.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}
textures/yave_ns/beam_naranja
{
	qer_editorimage textures/yave_ns/beam_naranja.tga
	q3map_lightimage textures/yave_ns/fognaranja.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/beam_naranja.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/yave_ns/beam_lila
{
	qer_editorimage textures/yave_ns/beam_lila.tga
	q3map_lightimage textures/yave_ns/rosita.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/beam_lila.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}

}
textures/yave_ns/beam_yellow
{
	qer_editorimage textures/yave_ns/beam_yellow.tga
	q3map_lightimage textures/yave_ns/fogyellow.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/beam_yellow.tga
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}


///////////////////////////- SKIES -\\\\\\\\\\\\\\\\\\\\\\\\\\\

textures/yave_ns/sp_skyblanco
{
	qer_editorimage textures/yave_ns/sp_skyblanco.tga
	skyparms env/blanco/sky 2048 -

	q3map_lightrgb 1.0 1.0 1.0
	q3map_lightmapfilterRadius 0 8
	q3map_skyLight 300 3
	
	//q3map_surfacelight 2000
	//q3map_lightrgb 0.99216 0.95686 0.82353

	//q3map_sunExt 0.99216 0.95686 0.82353 450 315 50 2 16

	q3map_lightmapfilterRadius 0 8
  	//q3map_skyLight 200 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
    
	nopicmip
	nomipmaps

	{	
        map textures/yave_ns/sp_skyblanco.tga
        tcMod scroll 0.002 -0.002
        rgbGen identityLighting
	}
	{	 
        map textures/yave_ns/sp_sky_arc_masked.tga
        blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
        tcMod transform 0.25 0 0 0.25 0.1075 0.1075
        rgbGen identityLighting
	}
}

textures/yave_ns/icelake3
{
	qer_trans 0.80
	qer_editorimage textures/yave_ns/icelake3.tga
	sort seethrough
	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	q3map_lightsubdivide 64
	q3map_surfacelight 200
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/yave_ns/icelake3.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

////////////////////////////- YAVE NAMES -\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\

textures/yave_ns/yavename2
{
qer_editorimage textures/yave_ns/yavename2.tga
qer_trans 0.85
surfaceparm trans
surfaceparm nonsolid
surfaceparm nomarks
cull disable
nopicmip
surfaceparm nolightmap
deformVertexes autosprite
{
clampmap textures/yave_ns/yavename2.tga
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
alphaGen vertex
rgbGen identity 
alphaFunc GE128
depthWrite
}
}


textures/yave_ns/nb_yave
{
	q3map_surfacelight 300
	q3map_lightimage textures/yave_ns/nb_puls_yave.tga
	qer_editorimage textures/yave_ns/nb_yave.tga
	
	{
		map textures/yave_ns/nb_yave.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}


	{
		map textures/yave_ns/nb_puls_yave.tga
		blendfunc gl_one gl_one
		tcmod scale .35 1
		tcmod scroll 0.3 0

	}

}


textures/yave_ns/yave1
{
qer_editorimage textures/yave_ns/yave1.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -23.001928 61.553795 118.078850 sawtooth 0 1 0.368236 0.500000
{
clampmap textures/yave_ns/yave1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.368236 0.500000
rgbGen wave sawtooth 1.000000 0.000000 0.368236 0.500000
tcMod stretch sawtooth 1.000000 -1.000000 0.368236 0.500000
blendfunc blend
}
}
textures/yave_ns/yave1_2
{
qer_editorimage textures/yave_ns/yave1.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 22.012184 73.474098 73.031532 sawtooth 0 1 0.824091 0.500000
{
clampmap textures/yave_ns/yave1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.824091 0.500000
rgbGen wave sawtooth 1.000000 0.000000 0.824091 0.500000
tcMod stretch sawtooth 1.000000 -1.000000 0.824091 0.500000
blendfunc blend
}
}

textures/yave_ns/yave1_3
{
qer_editorimage textures/yave_ns/yave1.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -14.345175 -31.089352 100.498344 sawtooth 0 1 0.398297 0.500000
{
clampmap textures/yave_ns/yave1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.398297 0.500000
rgbGen wave sawtooth 1.000000 0.000000 0.398297 0.500000
tcMod stretch sawtooth 1.000000 -1.000000 0.398297 0.500000
blendfunc blend
}
}

textures/yave_ns/yave1_4
{
qer_editorimage textures/yave_ns/yave1.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -11.296837 -38.553036 99.587578 sawtooth 0 1 0.838069 0.500000
{
clampmap textures/yave_ns/yave1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.838069 0.500000
rgbGen wave sawtooth 1.000000 0.000000 0.838069 0.500000
tcMod stretch sawtooth 1.000000 -1.000000 0.838069 0.500000
blendfunc blend
}
}

textures/yave_ns/yave1_5
{
qer_editorimage textures/yave_ns/yave1.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -72.943520 -14.484369 113.449699 sawtooth 0 1 0.632344 0.500000
{
clampmap textures/yave_ns/yave1.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 1.000000 -1.000000 0.632344 0.500000
rgbGen wave sawtooth 1.000000 0.000000 0.632344 0.500000
tcMod stretch sawtooth 1.000000 -1.000000 0.632344 0.500000
blendfunc blend
}
}


textures/yave_ns/matrix
{ 
	cull none 
	noPicmip 
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{ 
	map textures/yave_ns/matrix.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.25 0.25 0.25 )
		tcGen environment 
		tcMod Scroll 0 1
	} 
}





//***************************************************
//               TECH1SOC                          \\
//***************************************************


textures/yave_ns/zplasma_blueflow
{
	qer_editorimage textures/yave_ns/zplasma_blueflow.tga
	q3map_lightimage textures/yave_ns/zplasma_blueflow.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/zplasma_blueflow.tga
		tcmod scroll 0.8 0
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/yave_ns/zplasma_blueflowgreen
{
	qer_editorimage textures/yave_ns/zplasma_blueflowgreen.tga
	q3map_lightimage textures/yave_ns/zplasma_blueflowgreen.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/zplasma_blueflowgreen.tga
		tcmod scroll 0.8 0
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/yave_ns/zplasma_blueflowred
{
	qer_editorimage textures/yave_ns/zplasma_blueflowred.tga
	q3map_lightimage textures/yave_ns/zplasma_blueflowred.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/zplasma_blueflowred.tga
		tcmod scroll 0.8 0
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/yave_ns/zplasma_blueflowrosa
{
	qer_editorimage textures/yave_ns/zplasma_blueflowrosa.tga
	q3map_lightimage textures/yave_ns/zplasma_blueflowrosa.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	q3map_surfacelight 300
	{
		map textures/yave_ns/zplasma_blueflowrosa.tga
		tcmod scroll 0.8 0
		blendFunc add
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}



//*************************************************
//  --------------    OCHO        ---------------//
//*************************************************





textures/ocho/icelake2_ocho
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}


textures/ocho/xconcrete_bla
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/textures/ocho/xconcrete_bla.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 
textures/ocho/xconcrete_db
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_db.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_g
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_g.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_o
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_o.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_p
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_p.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_r
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_r.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_v
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_v.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 textures/ocho/xconcrete_y
{
	surfaceparm nodamage
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/ocho/xconcrete_y.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
 

levelshots/ocho_cc_automap
{
  	nopicmip
	nocompress
	nomipmaps

  	{ 	 
  	  	clampmap levelshots/ocho_cc.tga
		depthFunc equal
		rgbGen identity
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		tcmod rotate 40
  	}
	 
}

levelshots/ocho_cc_trans
{
  	nopicmip
	nocompress
	nomipmaps
	{ 
  	  	clampmap levelshots/ocho_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
		alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		tcmod rotate 40
  	}
 	 
}



//*************************************************
//  --------------    thejump     ---------------//
//*************************************************



textures/z_jump/concrete
{
	surfaceparm nodamage

	{
		map textures/z_jump/concrete.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/z_jump/concrete.tga
		blendfunc add
		rgbGen wave triangle .8 .8 0 0.3	
	}

}
textures/z_jump/concrete1
{
	surfaceparm nodamage

	{
		map textures/z_jump/concrete1.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/z_jump/concrete1.tga
		blendfunc add
		rgbGen wave triangle .8 .8 0 0.3	
	}

}


textures/z_jump/concrete2
{
	surfaceparm nodamage

	{
		map textures/z_jump/concrete2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/z_jump/concrete2.tga
		blendfunc add
		rgbGen wave triangle .8 .8 0 0.3	
	}

}


textures/z_jump/rebordbleu
{
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/z_jump/rebordbleu.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	
	{
		map textures/z_jump/rebordligne.tga
		blendfunc add	
	}

}

	//tele

textures/z_jump/telemat
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 400
	surfaceparm nodamage
	cull twosided
	{
		map textures/z_jump/telemat.tga
		blendfunc add
                tcmod scale  3  1
                tcmod scroll 1 -1
	}
        {
                map textures/z_jump/telemat2.tga
		blendfunc add
                tcmod scale  0.5  0.3
                tcmod scroll -1  1     
        }
}

//////SKY

textures/ocho/black
{
	qer_editorimage textures/ocho/black
	implicitMap textures/ocho/black.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
}
